Bug 693605 - MSG: error spew for: unfixable cyclic ordering dependency: Exec format error
MSG: error spew for: unfixable cyclic ordering dependency: Exec format error
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-05 00:09 EDT by John Reiser
Modified: 2013-12-03 15:14 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-03 15:14:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (228.67 KB, text/plain)
2011-04-05 00:09 EDT, John Reiser
no flags Details

  None (edit)
Description John Reiser 2011-04-05 00:09:37 EDT
Created attachment 489907 [details]
/var/log/messages

Description of problem: Booting beta TC1 of Fe[d]ora-15-Beta-x86_64-Live-Desktop.iso from USB flash memory gives more than a dozen repetitions of a many-line complaint, each containing several repetitions of:
   systemd-ask-password-plymouth.path/stop would change existing job.
   Deleting systemd-ask-password-plymouth.path/stop to minimize impact.
Once is enough.  (And the complaint looks bogus anyway because it does not give the name of the file which supposedly has "Exec format error".)


Version-Release number of selected component (if applicable):
systemd-20-1.fc15.x86_64


How reproducible: every time


Steps to Reproduce:
1. Boot beta TC1 of Fedora-15-Beta-x86_64-Live-Desktop.iso.  Remove "quiet  rhgb" from the kernel command line, in order to become aware of the messages.
2. Look in /var/log/messages after boot.
3.
  
Actual results: More than a dozen repetitions of the same complaint, each complaint containing about 7 repetitions of:
   systemd-ask-password-plymouth.path/stop would change existing job.
   Deleting systemd-ask-password-plymouth.path/stop to minimize impact.
and ending with:
   Requested transaction contains an unfixable cyclic ordering dependency: Exec format error

Expected results: Only one complaint per error.  No "Exec format error" in the first place.  If really so, then give the name of the file which had the Exec format error.

Additional info:
Comment 1 Michal Schmidt 2011-04-05 06:38:34 EDT
(In reply to comment #0)
> (And the complaint looks bogus anyway because it does not give
> the name of the file which supposedly has "Exec format error".)

Yes, it is bogus. There is no such executable. "Exec format error" in this case does not come from any execve() call. systemd produces this error code internally.
In transaction_verify_order_one():
  ...
  log_error("Unable to break cycle");
  ...
  return -ENOEXEC;

Either a more appropriate error code should be used here (but which one?) or transaction_activate() should simply stop printing the string representation of the error code when reporting "Requested transaction contains an unfixable cyclic ordering dependency".

The cycles with udev-retry.service should be gone with the current systemd and udev.
Comment 2 Michal Schmidt 2011-04-05 06:53:52 EDT
(In reply to comment #1)
> Either a more appropriate error code should be used here (but which one?)

EDEADLK? ECANCELED?
Comment 3 John Reiser 2011-04-05 10:52:59 EDT
EINVAL  Invalid argument
which is true: there should be no cycles.  Also EINVAL has a reputation as the "catch-all" error for "bad input" if nothing more specific can be identified.
Comment 4 Fedora Admin XMLRPC Client 2011-10-20 12:25:04 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 5 Fedora End Of Life 2013-04-03 13:44:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Zbigniew Jędrzejewski-Szmek 2013-12-03 15:14:54 EST
We don't show the internal error anymore (at least since v44):

Dec 03 15:08:43 fedora20 sudo[14205]: test : COMMAND=/bin/systemctl start cyclic2
Dec 03 15:08:43 fedora20 systemd[1]: Found ordering cycle on cyclic2.service/start
Dec 03 15:08:43 fedora20 systemd[1]: Found dependency on cyclic2a.service/start
Dec 03 15:08:43 fedora20 systemd[1]: Found dependency on cyclic2.service/start
Dec 03 15:08:43 fedora20 systemd[1]: Unable to break cycle
Dec 03 15:08:43 fedora20 systemd[1]: Requested transaction contains an unfixable cyclic ordering dependency: Transaction order is cyclic. See system logs for details.

And on the console:
Failed to start cyclic2: Transaction order is cyclic. See system logs for details.

Looks OK to me.

Note You need to log in before you can comment on or make changes to this bug.